package com.hh.arome.common.scan.idcard.bean;

import java.io.Serializable;

/**
 * Created by L470 on 2020/7/17.
 */

public class IDCardInfoBean implements Serializable{

    private static final long serialVersionUID = -6680457902587956425L;

    String idcardName;
    String idcardNumber;
    String sex;
    // 民族
    String nation;
    // 出生年月日
    String birth;
    // 住址
    String address;
    // 头像图片
    String photoBase64;
    // 签发机关
    String signingOrganization;
    // 有效期-开始
    String beginTime;
    // 有效期-结束
    String endTime;



    public String getIdcardNumber() {
        return idcardNumber;
    }

    public void setIdcardNumber(String idcardNum) {
        this.idcardNumber = idcardNum;
    }

    public String getIdcardName() {
        return idcardName;
    }

    public void setIdcardName(String idcardName) {
        this.idcardName = idcardName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBirth() {
        return birth;
    }

    public void setBirth(String birth) {
        this.birth = birth;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getPhotoBase64() {
        return photoBase64;
    }

    public void setPhotoBase64(String photoBase64) {
        this.photoBase64 = photoBase64;
    }

    public String getSigningOrganization() {
        return signingOrganization;
    }

    public void setSigningOrganization(String signingOrganization) {
        this.signingOrganization = signingOrganization;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }


    @Override
    public String toString() {
        return "IDCardInfoBean{" +
                "idcardName='" + idcardName + '\'' +
                ", idcardNumber='" + idcardNumber + '\'' +
                ", sex='" + sex + '\'' +
                ", nation='" + nation + '\'' +
                ", birth='" + birth + '\'' +
                ", address='" + address + '\'' +
                ", photoBase64='" + photoBase64 + '\'' +
                ", signingOrganization='" + signingOrganization + '\'' +
                ", beginTime='" + beginTime + '\'' +
                ", endTime='" + endTime + '\'' +
                '}';
    }
}
